API

Print News Search Direct API

The AI-powered Print Media Monitor provides 360° Global Media Data & Intelligence on Newspapers, magazines, trade publications, and print journalism outlets.

Referencia de API Versión: 1.0.0 4 Endpoints Autenticación
Print Media Monitor

URL base

https://pressmonitor.com/api

Autenticación

Todas las solicitudes requieren los encabezados x-api-key y x-subscription-id. x-api-key autentica tu cuenta; x-subscription-id selecciona el servicio suscrito.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

Parámetros

Nombre Tipo Ubicación Requerido Descripción
keywords_text string query Sí Keywords text parameter
lang_code string query No Lang code parameter
country_code string query No Country code parameter
count integer query No Count parameter
cursor string query No Cursor parameter
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Ejemplos de código

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respuestas

200 Success
GET /briefs

Briefs

Parámetros

Nombre Tipo Ubicación Requerido Descripción
keywords_text string query Sí Keywords text parameter
lang_code string query No Lang code parameter
country_code string query No Country code parameter
count integer query No Count parameter
cursor string query No Cursor parameter
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Ejemplos de código

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respuestas

200 Success
GET /fulltext

Fulltext

Parámetros

Nombre Tipo Ubicación Requerido Descripción
keywords_text string query Sí Keywords text parameter
lang_code string query No Lang code parameter
country_code string query No Country code parameter
count integer query No Count parameter
cursor string query No Cursor parameter
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Ejemplos de código

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respuestas

200 Success
GET /clip

Clip

Parámetros

Nombre Tipo Ubicación Requerido Descripción
id string query Sí Clip/article ID to resolve
ns string query Sí Namespace prefix for multi-tenant index resolution
date string query Sí Date of the clip (YYYY-MM-DD)
host string query No Host name for tenant resolution
ttl integer query No Signed URL time-to-live in seconds

Ejemplos de código

curl -X GET \
  "https://pressmonitor.com/api/clip?id=VALUE&ns=VALUE&date=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respuestas

200 Success